#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'attributeeditdialog.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "attributeeditdialog.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <ktextedit.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqframe.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a AttributeEditDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
AttributeEditDialog::AttributeEditDialog( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "AttributeEditDialog" );
    AttributeEditDialogLayout = new TQVBoxLayout( this, 11, 6, "AttributeEditDialogLayout"); 

    layout7 = new TQHBoxLayout( 0, 0, 6, "layout7"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    layout7->addWidget( textLabel1 );

    attrName = new KLineEdit( this, "attrName" );
    layout7->addWidget( attrName );
    AttributeEditDialogLayout->addLayout( layout7 );

    textLabel2 = new TQLabel( this, "textLabel2" );
    AttributeEditDialogLayout->addWidget( textLabel2 );

    attrValue = new KTextEdit( this, "attrValue" );
    attrValue->setAcceptDrops( TRUE );
    attrValue->setTextFormat( KTextEdit::PlainText );
    attrValue->setTabChangesFocus( TRUE );
    attrValue->setAutoFormatting( int( KTextEdit::AutoNone ) );
    AttributeEditDialogLayout->addWidget( attrValue );

    line1 = new TQFrame( this, "line1" );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );
    AttributeEditDialogLayout->addWidget( line1 );

    layout8 = new TQHBoxLayout( 0, 0, 6, "layout8"); 

    okBtn = new TQPushButton( this, "okBtn" );
    okBtn->setDefault( TRUE );
    okBtn->setFlat( FALSE );
    layout8->addWidget( okBtn );
    spacer3 = new TQSpacerItem( 121, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout8->addItem( spacer3 );

    cancelBtn = new TQPushButton( this, "cancelBtn" );
    layout8->addWidget( cancelBtn );
    AttributeEditDialogLayout->addLayout( layout8 );
    languageChange();
    resize( TQSize(412, 254).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( okBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( cancelBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( attrValue, TQ_SIGNAL( returnPressed() ), this, TQ_SLOT( accept() ) );
    connect( attrName, TQ_SIGNAL( returnPressed() ), this, TQ_SLOT( accept() ) );

    // buddies
    textLabel1->setBuddy( attrName );
    textLabel2->setBuddy( attrValue );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AttributeEditDialog::~AttributeEditDialog()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AttributeEditDialog::languageChange()
{
    setCaption( tr2i18n( "Edit Attribute" ) );
    textLabel1->setText( tr2i18n( "Attribute &name:" ) );
    textLabel2->setText( tr2i18n( "Attribute &value:" ) );
    okBtn->setText( tr2i18n( "&OK" ) );
    cancelBtn->setText( tr2i18n( "&Cancel" ) );
}

/****************************************************************************
** AttributeEditDialog meta object code from reading C++ file 'attributeeditdialog.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "attributeeditdialog.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *AttributeEditDialog::className() const
{
    return "AttributeEditDialog";
}

TQMetaObject *AttributeEditDialog::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_AttributeEditDialog( "AttributeEditDialog", &AttributeEditDialog::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString AttributeEditDialog::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "AttributeEditDialog", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString AttributeEditDialog::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "AttributeEditDialog", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* AttributeEditDialog::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"AttributeEditDialog", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_AttributeEditDialog.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* AttributeEditDialog::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AttributeEditDialog" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool AttributeEditDialog::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool AttributeEditDialog::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool AttributeEditDialog::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool AttributeEditDialog::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
