#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'messagedialog.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "messagedialog.h"

#include <ntqvariant.h>
#include <ktextedit.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "messagedialog.ui.h"

/*
 *  Constructs a MessageDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
MessageDialog::MessageDialog( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "MessageDialog" );
    setSizeGripEnabled( TRUE );
    MessageDialogLayout = new TQVBoxLayout( this, 11, 6, "MessageDialogLayout"); 

    messagePane = new KTextEdit( this, "messagePane" );
    messagePane->setTextFormat( KTextEdit::LogText );
    messagePane->setWordWrap( KTextEdit::FixedColumnWidth );
    messagePane->setReadOnly( TRUE );
    messagePane->setUndoRedoEnabled( FALSE );
    MessageDialogLayout->addWidget( messagePane );

    layout2 = new TQHBoxLayout( 0, 0, 6, "layout2"); 

    btnClear = new TQPushButton( this, "btnClear" );
    btnClear->setAutoDefault( FALSE );
    layout2->addWidget( btnClear );
    Horizontal_Spacing2 = new TQSpacerItem( 300, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout2->addItem( Horizontal_Spacing2 );

    btnClose = new TQPushButton( this, "btnClose" );
    btnClose->setDefault( TRUE );
    layout2->addWidget( btnClose );
    MessageDialogLayout->addLayout( layout2 );
    languageChange();
    resize( TQSize(511, 282).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( btnClose, TQ_SIGNAL( clicked() ), this, TQ_SLOT( close() ) );
    connect( btnClear, TQ_SIGNAL( clicked() ), messagePane, TQ_SLOT( clear() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MessageDialog::~MessageDialog()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MessageDialog::languageChange()
{
    setCaption( tr2i18n( "Message Log" ) );
    btnClear->setText( tr2i18n( "C&lear" ) );
    btnClose->setText( tr2i18n( "&Close" ) );
}

/****************************************************************************
** MessageDialog meta object code from reading C++ file 'messagedialog.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "messagedialog.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *MessageDialog::className() const
{
    return "MessageDialog";
}

TQMetaObject *MessageDialog::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_MessageDialog( "MessageDialog", &MessageDialog::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString MessageDialog::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "MessageDialog", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString MessageDialog::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "MessageDialog", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* MessageDialog::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ "msg", &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"addMessage", 1, param_slot_0 };
    static const TQUMethod slot_1 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "addMessage(const TQString&)", &slot_0, TQMetaData::Public },
	{ "languageChange()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"MessageDialog", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_MessageDialog.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* MessageDialog::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "MessageDialog" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool MessageDialog::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: addMessage((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 1: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool MessageDialog::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool MessageDialog::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool MessageDialog::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
