#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'elementeditdialog.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "elementeditdialog.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqframe.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a ElementEditDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
ElementEditDialog::ElementEditDialog( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ElementEditDialog" );
    ElementEditDialogLayout = new TQVBoxLayout( this, 11, 6, "ElementEditDialogLayout"); 

    layout7 = new TQHBoxLayout( 0, 0, 6, "layout7"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    layout7->addWidget( textLabel1 );

    elemName = new KLineEdit( this, "elemName" );
    layout7->addWidget( elemName );
    ElementEditDialogLayout->addLayout( layout7 );

    layout3 = new TQHBoxLayout( 0, 0, 6, "layout3"); 

    textLabel2 = new TQLabel( this, "textLabel2" );
    layout3->addWidget( textLabel2 );

    elemNamespace = new KComboBox( FALSE, this, "elemNamespace" );
    elemNamespace->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, elemNamespace->sizePolicy().hasHeightForWidth() ) );
    elemNamespace->setEditable( TRUE );
    elemNamespace->setAutoCompletion( TRUE );
    elemNamespace->setDuplicatesEnabled( FALSE );
    layout3->addWidget( elemNamespace );
    ElementEditDialogLayout->addLayout( layout3 );

    line1 = new TQFrame( this, "line1" );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );
    ElementEditDialogLayout->addWidget( line1 );

    layout6 = new TQHBoxLayout( 0, 0, 6, "layout6"); 

    insChildBtn = new TQPushButton( this, "insChildBtn" );
    insChildBtn->setDefault( TRUE );
    insChildBtn->setFlat( FALSE );
    layout6->addWidget( insChildBtn );

    insBeforeBtn = new TQPushButton( this, "insBeforeBtn" );
    insBeforeBtn->setFlat( FALSE );
    layout6->addWidget( insBeforeBtn );
    spacer3 = new TQSpacerItem( 60, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout6->addItem( spacer3 );

    cancelBtn = new TQPushButton( this, "cancelBtn" );
    layout6->addWidget( cancelBtn );
    ElementEditDialogLayout->addLayout( layout6 );
    languageChange();
    resize( TQSize(469, 113).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( insChildBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( cancelBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( elemName, TQ_SIGNAL( returnPressed() ), this, TQ_SLOT( accept() ) );
    connect( insBeforeBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );

    // buddies
    textLabel1->setBuddy( elemName );
    textLabel2->setBuddy( elemNamespace );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ElementEditDialog::~ElementEditDialog()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ElementEditDialog::languageChange()
{
    setCaption( tr2i18n( "Edit Element" ) );
    textLabel1->setText( tr2i18n( "Element &name:" ) );
    textLabel2->setText( tr2i18n( "Element &namespace:" ) );
    insChildBtn->setText( tr2i18n( "&Append as Child" ) );
    insBeforeBtn->setText( tr2i18n( "Insert &Before Current" ) );
    cancelBtn->setText( tr2i18n( "&Cancel" ) );
}

/****************************************************************************
** ElementEditDialog meta object code from reading C++ file 'elementeditdialog.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "elementeditdialog.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *ElementEditDialog::className() const
{
    return "ElementEditDialog";
}

TQMetaObject *ElementEditDialog::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_ElementEditDialog( "ElementEditDialog", &ElementEditDialog::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString ElementEditDialog::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ElementEditDialog", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString ElementEditDialog::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ElementEditDialog", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* ElementEditDialog::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"ElementEditDialog", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_ElementEditDialog.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* ElementEditDialog::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ElementEditDialog" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool ElementEditDialog::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool ElementEditDialog::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool ElementEditDialog::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool ElementEditDialog::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
