#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'texteditdialog.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "texteditdialog.h"

#include <ntqvariant.h>
#include <ktextedit.h>
#include <ntqlabel.h>
#include <ntqframe.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a TextEditDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
TextEditDialog::TextEditDialog( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "TextEditDialog" );
    TextEditDialogLayout = new TQVBoxLayout( this, 11, 6, "TextEditDialogLayout"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    TextEditDialogLayout->addWidget( textLabel1 );

    textPane = new KTextEdit( this, "textPane" );
    textPane->setAcceptDrops( TRUE );
    textPane->setTextFormat( KTextEdit::PlainText );
    textPane->setTabChangesFocus( TRUE );
    TextEditDialogLayout->addWidget( textPane );

    line1 = new TQFrame( this, "line1" );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );
    TextEditDialogLayout->addWidget( line1 );

    layout6 = new TQHBoxLayout( 0, 0, 6, "layout6"); 

    insChildBtn = new TQPushButton( this, "insChildBtn" );
    insChildBtn->setDefault( TRUE );
    insChildBtn->setFlat( FALSE );
    layout6->addWidget( insChildBtn );

    insBeforeBtn = new TQPushButton( this, "insBeforeBtn" );
    insBeforeBtn->setFlat( FALSE );
    layout6->addWidget( insBeforeBtn );
    spacer3 = new TQSpacerItem( 60, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout6->addItem( spacer3 );

    cancelBtn = new TQPushButton( this, "cancelBtn" );
    layout6->addWidget( cancelBtn );
    TextEditDialogLayout->addLayout( layout6 );
    languageChange();
    resize( TQSize(469, 211).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( insChildBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( cancelBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
    connect( insBeforeBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );

    // buddies
    textLabel1->setBuddy( textPane );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TextEditDialog::~TextEditDialog()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TextEditDialog::languageChange()
{
    setCaption( tr2i18n( "Edit Text" ) );
    textLabel1->setText( tr2i18n( "Edit &text for text node:" ) );
    insChildBtn->setText( tr2i18n( "&Append as Child" ) );
    insBeforeBtn->setText( tr2i18n( "Insert &Before Current" ) );
    cancelBtn->setText( tr2i18n( "&Cancel" ) );
}

/****************************************************************************
** TextEditDialog meta object code from reading C++ file 'texteditdialog.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "texteditdialog.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *TextEditDialog::className() const
{
    return "TextEditDialog";
}

TQMetaObject *TextEditDialog::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_TextEditDialog( "TextEditDialog", &TextEditDialog::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString TextEditDialog::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "TextEditDialog", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString TextEditDialog::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "TextEditDialog", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* TextEditDialog::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"TextEditDialog", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_TextEditDialog.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* TextEditDialog::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "TextEditDialog" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool TextEditDialog::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool TextEditDialog::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool TextEditDialog::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool TextEditDialog::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
