#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'archiveviewbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "archiveviewbase.h"

#include <ntqvariant.h>
#include <kactivelabel.h>
#include <kprogress.h>
#include <tdelistview.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a ArchiveViewBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ArchiveViewBase::ArchiveViewBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "ArchiveViewBase" );
    ArchiveViewBaseLayout = new TQVBoxLayout( this, 11, 6, "ArchiveViewBaseLayout"); 

    layout4 = new TQGridLayout( 0, 1, 1, 0, 6, "layout4"); 

    targetLabel = new KActiveLabel( this, "targetLabel" );
    targetLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)1, 0, 0, targetLabel->sizePolicy().hasHeightForWidth() ) );

    layout4->addWidget( targetLabel, 1, 1 );

    textLabel1_2 = new TQLabel( this, "textLabel1_2" );

    layout4->addWidget( textLabel1_2, 1, 0 );

    textLabel1 = new TQLabel( this, "textLabel1" );

    layout4->addWidget( textLabel1, 0, 0 );

    urlLabel = new KActiveLabel( this, "urlLabel" );
    urlLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)1, 0, 0, urlLabel->sizePolicy().hasHeightForWidth() ) );

    layout4->addWidget( urlLabel, 0, 1 );
    ArchiveViewBaseLayout->addLayout( layout4 );

    progressBar = new KProgress( this, "progressBar" );
    ArchiveViewBaseLayout->addWidget( progressBar );

    listView = new TDEListView( this, "listView" );
    listView->addColumn( tr2i18n( "URL" ) );
    listView->addColumn( tr2i18n( "State" ) );
    listView->setResizeMode( TDEListView::AllColumns );
    listView->setFullWidth( TRUE );
    ArchiveViewBaseLayout->addWidget( listView );
    languageChange();
    resize( TQSize(600, 483).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ArchiveViewBase::~ArchiveViewBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ArchiveViewBase::languageChange()
{
    setCaption( tr2i18n( "Web Archiver" ) );
    targetLabel->setText( tr2i18n( "Local File" ) );
    textLabel1_2->setText( tr2i18n( "To:" ) );
    textLabel1->setText( tr2i18n( "Archiving:" ) );
    urlLabel->setText( tr2i18n( "Original URL" ) );
    listView->header()->setLabel( 0, tr2i18n( "URL" ) );
    listView->header()->setLabel( 1, tr2i18n( "State" ) );
}

/****************************************************************************
** ArchiveViewBase meta object code from reading C++ file 'archiveviewbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "archiveviewbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *ArchiveViewBase::className() const
{
    return "ArchiveViewBase";
}

TQMetaObject *ArchiveViewBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_ArchiveViewBase( "ArchiveViewBase", &ArchiveViewBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString ArchiveViewBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ArchiveViewBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString ArchiveViewBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ArchiveViewBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* ArchiveViewBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"ArchiveViewBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_ArchiveViewBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* ArchiveViewBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ArchiveViewBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool ArchiveViewBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool ArchiveViewBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool ArchiveViewBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool ArchiveViewBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
