#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dubprefs.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dubprefs.h"

#include <ntqvariant.h>
#include <kurlrequester.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a DubPrefs as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DubPrefs::DubPrefs( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "DubPrefs" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    DubPrefsLayout = new TQVBoxLayout( this, 11, 6, "DubPrefsLayout"); 

    layout1 = new TQHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    textLabel1->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)1, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    layout1->addWidget( textLabel1 );

    mediaDirectory = new KURLRequester( this, "mediaDirectory" );
    layout1->addWidget( mediaDirectory );
    DubPrefsLayout->addLayout( layout1 );

    playMode = new TQButtonGroup( this, "playMode" );
    playMode->setColumnLayout(0, TQt::Vertical );
    playMode->layout()->setSpacing( 6 );
    playMode->layout()->setMargin( 11 );
    playModeLayout = new TQVBoxLayout( playMode->layout() );
    playModeLayout->setAlignment( TQt::AlignTop );

    allFiles = new TQRadioButton( playMode, "allFiles" );
    playModeLayout->addWidget( allFiles );

    oneDir = new TQRadioButton( playMode, "oneDir" );
    playModeLayout->addWidget( oneDir );

    recursiveDir = new TQRadioButton( playMode, "recursiveDir" );
    recursiveDir->setEnabled( FALSE );
    playModeLayout->addWidget( recursiveDir );
    DubPrefsLayout->addWidget( playMode );

    playOrder = new TQButtonGroup( this, "playOrder" );
    playOrder->setColumnLayout(0, TQt::Vertical );
    playOrder->layout()->setSpacing( 6 );
    playOrder->layout()->setMargin( 11 );
    playOrderLayout = new TQVBoxLayout( playOrder->layout() );
    playOrderLayout->setAlignment( TQt::AlignTop );

    normal = new TQRadioButton( playOrder, "normal" );
    playOrderLayout->addWidget( normal );

    shuffle = new TQRadioButton( playOrder, "shuffle" );
    shuffle->setEnabled( TRUE );
    playOrderLayout->addWidget( shuffle );

    repeat = new TQRadioButton( playOrder, "repeat" );
    repeat->setEnabled( FALSE );
    playOrderLayout->addWidget( repeat );

    single = new TQRadioButton( playOrder, "single" );
    single->setEnabled( FALSE );
    playOrderLayout->addWidget( single );
    DubPrefsLayout->addWidget( playOrder );
    languageChange();
    resize( TQSize(451, 349).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DubPrefs::~DubPrefs()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DubPrefs::languageChange()
{
    setCaption( tr2i18n( "Dub Preferences" ) );
    textLabel1->setText( tr2i18n( "Media home:" ) );
    TQToolTip::add( mediaDirectory, tr2i18n( "Top-level folder where my media files are stored" ) );
    playMode->setTitle( tr2i18n( "Play Mode" ) );
    allFiles->setText( tr2i18n( "All media files" ) );
    TQToolTip::add( allFiles, tr2i18n( "All media files found under Media Home" ) );
    oneDir->setText( tr2i18n( "Selected folder" ) );
    TQToolTip::add( oneDir, tr2i18n( "Play current folder only" ) );
    recursiveDir->setText( tr2i18n( "All files under selected folder" ) );
    TQToolTip::add( recursiveDir, tr2i18n( "Choose media files from current folder and all its subfolders" ) );
    playOrder->setTitle( tr2i18n( "Play Order" ) );
    normal->setText( tr2i18n( "Normal" ) );
    TQToolTip::add( normal, tr2i18n( "Play files in normal order" ) );
    shuffle->setText( tr2i18n( "Shuffle" ) );
    TQToolTip::add( shuffle, tr2i18n( "Randomized order" ) );
    repeat->setText( tr2i18n( "Repeat" ) );
    TQToolTip::add( repeat, tr2i18n( "Repeat the same file forever" ) );
    single->setText( tr2i18n( "Single" ) );
    TQToolTip::add( single, tr2i18n( "Play a single file and stop" ) );
}

/****************************************************************************
** DubPrefs meta object code from reading C++ file 'dubprefs.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "dubprefs.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *DubPrefs::className() const
{
    return "DubPrefs";
}

TQMetaObject *DubPrefs::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_DubPrefs( "DubPrefs", &DubPrefs::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString DubPrefs::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DubPrefs", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString DubPrefs::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DubPrefs", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* DubPrefs::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"DubPrefs", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_DubPrefs.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* DubPrefs::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DubPrefs" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool DubPrefs::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool DubPrefs::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool DubPrefs::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool DubPrefs::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
